## gjs 1.64.1

=== debian/changelog ===
gjs (1.64.1-2ubuntu1) focal; urgency=medium

  * Increase API test timeout for riscv64. It usually takes less than a second
    over the 30s limit.

 -- William Grant <wgrant@ubuntu.com>  Tue, 14 Apr 2020 16:59:50 +1000

gjs (1.64.1-2) experimental; urgency=medium

  * Team upload
  * Add proposed patches to fix type-punning on big-endian LP64,
    in particular s390x (Closes: #906022)
  * d/test.sh: Make test failures fatal on all architectures
  * d/rules: Go back to inlining testing instead of using a separate script.
    Now that we are treating test failures as always bad, we don't need
    that extra complexity.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 12:17:12 +0100

gjs (1.64.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/gbp.conf: Use upstream/1.64.x branch.
    There has already been a 1.65.1 release.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Drop patch, applied upstream
  * d/gjs-tests.install: Adjust to test libraries' new location

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 23:03:07 +0100

gjs (1.64.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release (no changes beyond version number)
  * Explicitly disable profiler.
    It wasn't enabled on the buildds in practice because we don't
    build-depend on sysprof.
  * Enable all optional features that are not explicitly disabled.
    This gives us more deterministic builds and checks that we haven't
    forgotten build-dependencies.
  * Bump build-dependency on gobject-introspection to 1.64.
    The upstream developers won't have tested arbitrary combinations of GNOME
    3.34 and 3.36 components, so we should probably take an all-or-nothing
    approach to the upgrade.
  * d/test.sh: Reset XDG directories to safe temporary values.
    In some build environments these end up set to inaccessible or otherwise
    unsuitable locations, causing one test to fail.
    This should become unnecessary in dh compat level 13, which does something
    similar itself. (Closes: #954659)
  * d/p/root-Always-expose-object-to-JS-before-reset.patch:
    Drop a patch that was not applied upstream.
    According to upstream !396, the bug this was meant to address has
    been fixed differently in 1.63.92.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Add patch from upstream master to fix a bashism in a test.
    Thanks to Liban Parker.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 09:38:10 +0000
