=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gjs \
		-Dinstalled_tests=true \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/gjs/girepository-1.0

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	obj-$$(dpkg-architecture -q DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
	mkdir -p -m700 debian/temp-home
	mkdir -p -m700 debian/temp-home/run
	env \
		-u XDG_CACHE_HOME \
		-u XDG_CONFIG_HOME \
		-u XDG_CONFIG_DIRS \
		-u XDG_DATA_HOME \
		-u XDG_DATA_DIRS \
		HOME=$(CURDIR)/debian/temp-home \
		XDG_RUNTIME_DIR=$(CURDIR)/debian/temp-home/run \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
