=== debian/changelog ===
gjs (1.64.5-0ubuntu0.20.04.01) focal; urgency=medium

  * New upstream release (LP: #1916488):
    - Fix Error in function "_init()" in module "modules/overrides/GObject.js"
    - gi/wrapperutils: Move gjs_get_string_id() into resolve() implementations
    - overrides/Gtk: Set BuilderScope in class init
    - fix readline build on certain systems

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 14:56:22 +0100

gjs (1.64.3-1~ubuntu20.04.1) focal; urgency=medium

  * Merge with debian, as per new upstream stable release (LP: #1881912)
  * debian/{control,gbp.conf}: Update to match ubuntu/focal branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 16:21:53 +0200

gjs (1.64.3-1) unstable; urgency=medium

  * New upstream release:
    - arg: Don't sink GClosure ref if it's a return value
    - overrides/Gtk: Adjust gtk_container_child_set_property() check
    - Use memory GSettings backend in tests
    - Update debug message from trimLeft/trimRight to trimStart/trimEnd
    - Various fixes for potential crash and memory issues
  * debian/rules: Use timeout multiplier in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 15:35:51 +0200

gjs (1.64.2-1ubuntu1~20.04.1) focal; urgency=medium

  * No-change backport to focal (LP: #1876914)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 May 2020 14:49:57 +0200

gjs (1.64.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian
  * debian/patches/api-test-timeout.patch: Dropped
  * debian/rules: Use timeout multiplier in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 May 2020 01:44:42 +0200

gjs (1.64.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Fix template use in GTK 4
    - Don't crash if a callback doesn't return an expected array of values
    - Fix a crash when passing integer to strv in constructor
    - Skip some tests if GTK can't be initialised
    - Fix gjs_log_exception() for InternalError
    - Fix signal match mechanism
    - Drop all patches, applied upstream
  * Install installed-tests in default /usr/libexec/gjs/installed-tests
  * Install libraries with multiarch paths
  * Simplify dh_makeshlibs invocation using debhelper 12 defaults.
    The incantation we previously had in -V is a longwinded way to write
    dh_makeshlibs -VUpstream-Version (aka plain -V with no argument),
    which is the default in compat level 12 anyway.
  * Mark libgjs0g as Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 09:59:07 +0100

gjs (1.64.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 14:32:50 +0100
