=== debian/control ===
--- 
+++ 
@@ -29,8 +29,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/focal
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -69,6 +71,7 @@
 
 Package: libgjs0g
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
