=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libdir=/usr/lib \
-		--libexecdir=/usr/lib/gjs \
 		-Dinstalled_tests=true \
 		-Dauto_features=enabled \
 		-Dprofiler=disabled \
 		$(NULL)
 
 override_dh_girepository:
-	dh_girepository -l $(BUILDDIR) /usr/lib/gjs/girepository-1.0
+	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/gjs/girepository-1.0
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -40,8 +38,8 @@
 		XDG_RUNTIME_DIR=$(CURDIR)/debian/temp-home/run \
 		TZ=UTC \
 	xvfb-run -a \
-	dh_auto_test
+	meson test -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gjs-1.0 -- -c4
