=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: libgjs-dev, build-essential

Tests: installed-tests
Depends: gjs-tests, dbus-x11, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing
