## gjs 1.66.1

=== debian/changelog ===
gjs (1.66.1-1) unstable; urgency=medium

  * New upstream release:
    - Throws on Unsupported caller allocates
    - arg: Fix MIN/MAX safe big integer limits
    - Fix leak when virtual function is unimplemented
    - Cannot compile GJS 1.66.0 on macOS with llvm/clang 10.0.1
    - console: fix typo in command-line option
    - Prevent passing null pointers when not nullable
    - Passing fundamentals to functions works again (LP: #1898393)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 01:00:09 +0200

gjs (1.66.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 12:51:25 +0200

gjs (1.65.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 16:53:38 +0100

gjs (1.65.91-2) experimental; urgency=medium

  * debian/patches: Fix BoxedInstance initialization causing a crash in s390x

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Sep 2020 16:52:13 +0200

gjs (1.65.91-1) experimental; urgency=medium

  * New upstream release
    - Using mozjs (SpiderMonkey) 78 as JavaScript engine, coming with:
      + A new regular expression engine, supporting lookbehind and named capture
        groups, among other things
      + The ?? operator ("nullish coalescing operator") is now supported
      + The ?. operator ("optional chaining operator") is now supported
      + Public static class fields are now supported
      + Separators in numeric literals are now supported: for example, 1_000_000
      + String.replaceAll() for replacing all instances of a string inside
        another string
      + Promise.allSettled() for awaiting until all Promises in an array have
        either fulfilled or rejected
      + Intl.Locale
      + Intl.ListFormat
      + Intl.RelativeTimeFormat.formatToParts()
    - New API: gjs_coverage_enable() allows the collection of code coverage
      metrics
  * debian/rules:
    - BD on libmozjs-78
  * debian/libgjs0g.symbols: Update, adding new sybmol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 Aug 2020 23:58:06 +0200

gjs (1.65.4-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Allow one to promisify static methods
    - No need to redefine getter and setter for GObject properties
    - Less critical errors logging
    - Add support for JS pubblic class fields
    - Demarshalling fixes in 64-bit big-endian
    - Crash and memory fixes, performance improvements
    - Gtk.Widget is now an iterable object
    - Fix installed-tests compatibility with GTK 4
  * debian/rules:
    - BD on debhelper 13
    - Don't redefine HOME and XDG_RUNTIME_DIR (handled by dh 13)
    - Use dh_auto_test instead of meson test (handled by dh 13)
  * debian/libgjs0g.install: Use variables to get the multi-arch path
  * debian/gjs-tests.install: Adapt to fixed installed-tests location

  [ Simon McVittie ]
  * d/rules: Show output of failing tests.
    Otherwise it's impossible to debug things like #966923.
  * d/p/function-Don-t-assume-FFI-argument-always-matches-GIArgum.patch:
    - Correctly handle function arguments in 64-bit big endian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 06:29:16 +0200
