=== debian/changelog ===
gjs (1.66.2-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/watch: Ignore '..' links as valid version value

  [ Simon McVittie ]
  * d/watch: Don't assume major version must be a single digit
  * d/watch: Only look for stable-branch versions
  * d/gbp.conf: Use upstream/1.66.x branch to import new versions.
    The first 1.67.x release already happened, but we don't want it for
    Debian 11.
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 18:13:21 +0000
