=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                pkg-config (>= 0.28),
@@ -18,7 +17,7 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-68-dev,
+               libmozjs-78-dev,
                libreadline-dev,
                libcairo2-dev,
                meson (>= 0.50.0),
@@ -29,10 +28,8 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -93,7 +90,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-68-dev
+         libmozjs-78-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
