## gjs 1.67.2

=== debian/changelog ===
gjs (1.67.2-2ubuntu1) hirsute; urgency=medium

  * Revert NaN handling changes which were included in the previous
    revision but not mentioned in the changelog, that's creating issues
    for the shell (lp: #1918738)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Mar 2021 09:25:26 +0100

gjs (1.67.2-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Set upstream branch to upstream/latest
  * debian/patches: Consistently handle undefined values for integer functions.
    This was causing build failures in some architectures as per being NaN
    dependent.

  [ Olivier Tilloy ]
  * Cherry-pick upstream commits to fix failing autopkgtests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Mar 2021 22:41:06 +0100

gjs (1.67.2-1) experimental; urgency=medium

  * New upstream release
  * d/p/GGjsPrivate-Fix-indentation-in-function.patch,
    d/p/GGjsPrivate-Remove-volatile-from-g_once_init_enter-flag.patch,
    d/p/Gmaint-Avoid-g_once_init_enter-error-in-GCC-11.patch:
    - Handle g_once_init_enter as newer GLib and gcc expects
  * d/p/engine-Set-baseline-interpreter-to-enable_jit.patch:
    - Ensure JIT can be fully disabled
  * debian/libgjs0g.symbols: Update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 23 Feb 2021 16:49:06 +0100
