## gjs 1.68.4

=== debian/changelog ===
gjs (1.68.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Simplify a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 15:52:33 -0400

gjs (1.68.3-1) unstable; urgency=medium

  * New upstream stable release
  * d/shlibs.local: Give gjs a lockstep dependency on libgjs0g.
    For external packages like gnome-shell, ${shlibs:Depends} should generate
    a dependency on libgjs0g (>= some version) as usual, but for binary
    packages from the same source package we should not allow partial
    upgrades.
  * d/control.in: Move Breaks from gjs to libgjs0g.
    It's really the updated libgjs that will break old GJS applications,
    not the updated gjs command-line executable.
  * d/control.in: Require a newer gnome-shell.
    gnome-shell 3.38.6 has fixes for compatibility with this libgjs, so
    bump the version in the Breaks accordingly.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 09:06:25 +0100

gjs (1.68.1-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Update
  * Don't let debhelper 13.4+ make all the installed-tests executable
  * Remove unnecessary .eslintrc.yml from installed-tests
  * Silence a Lintian false-positive in the test data
  * Add Lintian override documenting why libgjs0g is not libgjs0
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2021 12:21:03 +0100

gjs (1.68.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Drop all, they've been applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 08 May 2021 23:39:49 +0200

gjs (1.68.0-2) experimental; urgency=medium

  * debian/patches: Cherry-pick upstream memory fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 May 2021 05:53:50 +0200

gjs (1.68.0-1) experimental; urgency=medium

  * New upstream release
    - Fixed session crashes in gjs on unlocking (sometimes)
    - installed-tests installed despite explicitly disabled
  * debian/patches: Drop all applied upstream
  * d/p/GObject-Don-t-autogenerate-accessors-for-CONSTRUCT_ONLY-p.patch,
    d/p/GObject-Define-camel-and-kebab-variants-of-CONSTRUCT_ONLY.patch,
    d/p/overrides-Gio-Fix-_LocalFilePrototype.patch,
    d/p/object-Return-undefined-and-not-the-actual-function-on-di.patch:
    - Various fixes for JS GObject overrides
  * d/p/cairo-Add-missing-semi-colons-from-dummy-class-declaratio.patch:
    - Fix headers warning
  * d/p/wrapperutils-Use-native-ostringstream-pointer-to-string-c.patch:
    - Print the object address in hex format on toString()
  * d/p/testFundamental-Ensure-a-fundamental-can-be-converted-to-.patch,
    d/p/fundamental-Use-value-or-instance-pointer-when-no-get-set.patch:
    - Correctly handle Gdk 4 Events
  * d/p/object-Pass-the-instance-pointer-to-toggle-notify.patch,
    d/p/object-Switch-back-to-normal-references-on-disposal.patch,
    d/p/object-Discard-disposed-GObject-s-and-do-not-create-wrapp.patch,
    d/p/object-Also-unset-the-object-qdata-during-wrapper-destruc.patch,
    d/p/object-Never-try-to-add-a-toggle-reference-on-a-disposed-.patch,
    d/p/object-Use-the-term-DISPOSED-for-objects-in-such-state-no.patch,
    d/p/testGobjectDestructionAccess-Verify-usage-of-vfunc_dispos.patch,
    d/p/object-Catch-finalized-objects-that-are-still-under-gjs-s.patch,
    d/p/testGObjectDestructionAccess-Ensure-that-returned-dispose.patch,
    d/p/testGObjectDestructionAccess-Verify-that-disposed-object-.patch,
    d/p/object-Cancel-queued-toggles-on-dispose-notify.patch:
    - Improve handling for diposed and finalized objects, fixing crashes
  * d/p/object-Safely-handle-disposal-when-happening-from-other-t.patch,
    d/p/installed-tests-Add-GjsTestTools-utilities-to-call-native.patch,
    d/p/gjs-test-tools-Add-ability-to-ref-unref-and-dispose-from-.patch,
    d/p/object-Discard-wrapper-when-GObject-is-disposed-from-main.patch,
    d/p/object-Do-not-disassociate-a-JS-object-if-we-have-queued-.patch,
    d/p/toggle-Initialize-private-variables-on-construction.patch,
    d/p/toggle-Use-GWeakRef-s-to-track-objects-to-prevent-adding-.patch:
    - Fix handling of dispose and unref hevent when happening in other threads
      (LP: #1882410)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 09:17:17 +0200
