=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
@@ -37,14 +37,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gtk-3.0
-Breaks: gnome-characters (<< 3.25.92),
-        gnome-documents (<< 3.30.0),
-        gnome-maps (<< 3.26.1),
-        gnome-shell (<< 3.29.90),
-        gnome-sound-recorder (<< 3.28.1-3~),
-        gnome-weather (<< 3.25.91),
-        polari (<< 3.29.91),
-        ostree-tests (<< 2017.11-1~),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
@@ -73,6 +65,14 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
+Breaks: gnome-characters (<< 3.25.92),
+        gnome-documents (<< 3.30.0),
+        gnome-maps (<< 3.26.1),
+        gnome-shell (<< 3.38.6),
+        gnome-sound-recorder (<< 3.28.1-3~),
+        gnome-weather (<< 3.25.91),
+        polari (<< 3.29.91),
+        ostree-tests (<< 2017.11-1~),
 Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Description: Mozilla-based javascript bindings for the GNOME platform
@@ -84,6 +84,7 @@
 
 Package: libgjs-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          gjs,
