## gjs 1.72.0

=== debian/changelog ===
gjs (1.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 08:09:08 -0400

gjs (1.71.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all patches: applied in new release

  [ Marco Trevisan (Treviño) ]
  * debian/gjs.examples: Install JS examples
  * debian/control: Use clearer short descriptions for packages
  * debian/changelog: Remove trailing spaces
  * debian/control: Remove libgjs-dev dependency on gjs
  * debian/control: Remove duplicated build-dependency on libcairo2-dev
  * debian/gjs-tests.lintian-overrides: Ignore link error on d'loaded libs

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 15:37:21 -0500

gjs (1.71.1-1) experimental; urgency=medium

  * New upstream release:
    - New JavaScript features! This version of GJS is based on SpiderMonkey 91
      For more information, look them up on MDN or devdocs.io
    - It's now possible to pass BigInt values to GObject-introspected functions
      with 64-bit parameters
  * debian/patches: Cherry-pick upstream test fixes
  * debian/patches: Do not crash on instanceof checks on interfaces
    (LP: #1960898)
  * debian/patches: Correctly handle later handled promises rejections
  * debian/control: Bump dependency on mozjs-91
  * debian/libgjs0g.symbols: Include new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Feb 2022 12:26:43 +0100

gjs (1.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 08:38:53 -0500

gjs (1.70.0-4) unstable; urgency=medium

  * Team upload
  * d/p/arg-Replace-gsize-with-size_t.patch,
    d/p/Handle-optional-out-parameters-in-callbacks.patch:
    Include all patches from upstream gnome-41 branch up to
    1.70.0-4-g62025d4a2
    - Fix FTBFS on some 32-bit architectures where size_t is unsigned long
      but gsize is unsigned int
    - Allow optional 'out' parameters in callbacks to be NULL
  * d/p/build-disable-gir-install-via-list-to-pacify-meson-0.60.2.patch:
    Add patch from upstream to fix FTBFS with meson 0.60.2 (Closes: #1002101)
  * d/p/installed-tests-Install-matchers.js.patch:
    Make cosmetic changes to match the version applied upstream
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Dec 2021 19:39:35 +0000

gjs (1.70.0-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Oct 2021 09:36:07 +0100

gjs (1.70.0-2) experimental; urgency=medium

  * Team upload
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Add patch to link with libatomic if needed (Closes: #995930)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Oct 2021 12:28:11 +0100

gjs (1.70.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GNOME Shell 41
  * d/copyright: Update
  * Update mozjs dependency version
  * d/rules: Look for typelibs in build directory during smoke-test
  * d/libgjs0g.symbols: Add new symbols
  * d/libgjs0g.symbols: Ignore removal of private function gjs_open_bytes().
    This was not in public headers, and is only exposed in the ABI so that
    tests can call it.
  * Use a UTF-8 locale to run installed-tests.
    Some of the command-line tests rely on this.
  * d/p/installed-tests-Install-matchers.js.patch:
    Add patch to fix installed-tests failure

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:01:56 +0100
