=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,9 +17,8 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-78-dev,
+               libmozjs-91-dev (>= 91.3.0),
                libreadline-dev,
-               libcairo2-dev,
                meson (>= 0.50.0),
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
@@ -37,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gtk-3.0
-Description: Mozilla-based javascript bindings for the GNOME platform
+Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.
@@ -50,7 +49,7 @@
          ${misc:Depends},
          gjs,
          at-spi2-core
-Description: Mozilla-based javascript bindings for the GNOME platform
+Description: Mozilla-based javascript bindings for the GNOME platform (tests)
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.
@@ -87,11 +86,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         gjs,
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-78-dev
+         libmozjs-91-dev (>= 91.3.0),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
