## gjs 1.72.4

=== debian/changelog ===
gjs (1.72.4-0ubuntu0.22.04.4) jammy; urgency=medium

  * Use the latest upstream release as base again (LP: #2023572):
    - Revert "debian/patches: Restore ubuntu patches of 1.72.2-0ubuntu2"
    - Revert "debian/patches: Revert tree to 1.72.2"
    - Main leak fixes are still included in the changes (LP: #2012978)
  * debian/patches: Revert upstream fixes that may potentially lead to crashes
    As per previous upload we had some random crashes happening with newer
    gjs, so let's remove more complex patches that may have caused them.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 May 2024 14:29:08 +0200

gjs (1.72.4-0ubuntu0.22.04.3~really.is.1.72.2.0ubuntu2) jammy; urgency=medium

  * Revert sources to latest valid version in jammy so that people who might
    have had updated to the potentially unstable proposed versions are reverted
    to the last safe version we know (LP: #2066315):
    - debian/patches: Revert tree to 1.72.2
    - debian/patches: Restore ubuntu patches of 1.72.2-0ubuntu2

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 22 May 2024 00:39:16 +0200

gjs (1.72.4-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream stable release (LP: #2023572)
  * debian/patches: Drop, they've been all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Jun 2023 17:23:40 +0200

gjs (1.72.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2023572):
  * debian/patches: Refresh teardown patch, replacing it with the one landed
    upstream (LP: #1974293)
  * debian/patches: Cherry-pick upstream fixes to address various memory leaks
    (LP: #2012978)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Jun 2023 01:21:14 +0200

gjs (1.72.2-0ubuntu2) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add context-Clear-all-vectors-of-JS-Heap-on-dispose.patch (LP: #1974293)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Fri, 19 May 2023 11:12:55 +0000

gjs (1.72.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1981722)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 12:26:00 -0400

gjs (1.72.0-3~ubuntu22.04.2) jammy; urgency=medium

  * Cherry-pick patch to fix memory leak seen when taking screenshots
    (LP: #1973638)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Jun 2022 08:44:53 -0400

gjs (1.72.0-3~ubuntu22.04.1) jammy; urgency=medium

  * No-change backport to jammy

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 22:31:00 +0200

gjs (1.72.0-3) unstable; urgency=medium

  * debian/patches: Correctly generate camelCase properties on all locales.
    And particularly looking at Turkish one. (LP: #1969838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 22:24:50 +0200

gjs (1.72.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:48:56 -0400
