=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -27,8 +28,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/jammy
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
