## gjs 1.74.0

=== debian/changelog ===
gjs (1.74.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 07:57:12 -0400

gjs (1.73.2-1) experimental; urgency=medium

  * New upstream release
  * Build against mozjs102
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 14:43:34 -0400

gjs (1.73.1-2) unstable; urgency=medium

  * Rebuild against latest mozjs91 (Closes: #1017063)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Aug 2022 21:33:27 -0400

gjs (1.73.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.54.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 11:51:35 -0400

gjs (1.72.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/copyright: Replace CC0-1.0 text with a reference to common-licenses

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix memory leak seen when taking screenshots
    (LP: #1973638)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Jun 2022 08:40:12 -0400
