=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -18,9 +17,9 @@
                libgirepository1.0-dev (>= 1.64),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.64),
-               libmozjs-91-dev (>= 91.3.0),
+               libmozjs-102-dev,
                libreadline-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.54.0),
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -28,10 +27,8 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
@@ -92,7 +89,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-91-dev (>= 91.3.0),
+         libmozjs-102-dev,
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
