## gjs 1.74.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
+# SPDX-FileCopyrightText: 2019 Philip Chimento <philip.chimento@gmail.com>
+
 # Features
 
 option('cairo', type: 'feature', value: 'auto',
@@ -17,8 +20,6 @@
     description: 'Include systemtap trace support (requires -Ddtrace=true)')
 option('bsymbolic_functions', type: 'boolean', value: true,
     description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
-option('spidermonkey_rtti', type: 'boolean', value: false,
-    description: 'Needs to match SpiderMonkey\'s config option')
 option('skip_dbus_tests', type: 'boolean', value: false,
     description: 'Skip tests that use a DBus session bus')
 option('skip_gtk_tests', type: 'boolean', value: false,
