=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -20,15 +20,15 @@
                libmozjs-102-dev,
                libreadline-dev,
                meson (>= 0.54.0),
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/debian/bookworm
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
