=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 endif
 
 override_dh_auto_test:
+	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
 	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
 	env \
 		TZ=UTC \
