=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: libgjs-dev, build-essential

Tests: installed-tests
Depends: dbus-daemon, dbus-x11, gjs-tests, gnome-desktop-testing, xauth, xvfb
